Filters buttons in the issues tab should appear inside the filters fieldset
Status: Closed Start date: 2008-02-06

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.7   

Resolution:  Affected version:  

Description

The way the buttons appear now it's difficult to understand that they apply the filter settings. They look like they act over data in the

table. If they appear inside the fieldset it should be more clear that they act over the filter.

Associated revisions

Revision 1262 - 2008-03-16 15:31 - Jean-Philippe Lang

Move the filters buttons inside the filters fieldset on the issue list (closes #614).

History

#1 - 2008-02-22 19:54 - Witold Oleksiak

I second that idea...

#2 - 2008-02-23 16:00 - chris mcharg

I too agree that the visual associativity isn't quite right here.

While it would be fair for the filters to be in there own (visual) fieldset if there were also other input elements, here the fieldset border creates

unnecessary separation between the filter inputs and the action controls.

#3 - 2008-03-07 20:42 - Jean-Philippe Lang

- File filters.png added

Do you prefer something like that ?

 300 

#4 - 2008-03-10 08:25 - Iñaki Ibarrola Atxa

All the team agrees that this design is easier to understand.

#5 - 2008-03-14 15:24 - Nikolay Solakov

I too agree. It would be more clear design.

Nikolay

#6 - 2008-03-16 15:31 - Jean-Philippe Lang

- Target version set to 0.7

#7 - 2008-03-16 16:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1262.

Files

filters.png 45.5 KB 2008-03-07 Jean-Philippe Lang
